.btn-outline-primary {
  border: 1px solid rgba(20, 126, 211, 0.2) !important;
  color: #595959;
  &:hover {
    color: $primary;
    background-color: #fff;
  }
  &:not(.disabled):not(.disabled).active {
    color: #595959;
    background-color: #E0E0E0;
  }
}

.btn {
  white-space: nowrap;
  @extend %item-middle;
  display: inline-flex;
  i {
    margin-right: 10px;
  }
  &.w-100 {
    display: block;
  }
  &.disabled {
    opacity: 1;
    border: 1px solid #BDBDBD;
    background-color: #BDBDBD;
    color: #fff;
  }
}

.btn-section {
  i {
    font-size: 23px;
    color: #BDBDBD;
  }
  &.sectioned {
    i {
      color: $primary;
    }
  }
}

.btn-boxshadow {
  box-shadow: 0px 8px 24px rgba(54, 123, 245, 0.2);
}

.btn-round-sm {
  @include border-radius($border-radius);
}

.btn-upload {
  position: relative;
  overflow: hidden;
  input {
    @include position(absolute, 0, 0, 0, 0);
    opacity: 0;
  }
}

.btn-gray {
  border: 1px solid #E0E0E0;
  background-color: #F2F2F2;
  color: $color-disabled;
}
